#include <gtk/gtk.h>

gboolean refresh_draw (GtkWidget *widget, cairo_t *cr, gpointer dataColor){
  guint width, height;
  GtkStyleContext *context;
  context = gtk_widget_get_style_context (widget);
  width = gtk_widget_get_allocated_width (widget);
  height = gtk_widget_get_allocated_height (widget);
  gtk_render_background (context, cr, 0, 0, width, height);


  // changer de référence au centre
  cairo_translate(cr, width/2, height/2);
  cairo_arc(cr, 0, 0, 150, 0, 2 * G_PI);
  cairo_stroke_preserve(cr);
  // On change la couleur pour le remplissage
  cairo_set_source_rgb (cr,1,0,0);
  cairo_fill (cr);

  
  return FALSE;
}


int main(int argc, char* argv[]){
  GtkWidget *win;
  GtkWidget *draw_area;
  gtk_init(&argc, &argv);
  //Création de la window
  win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_container_set_border_width (GTK_CONTAINER (win), 10);
  g_signal_connect (G_OBJECT(win),"delete_event",G_CALLBACK(gtk_main_quit) ,NULL);
  //Zone dessin
  draw_area = gtk_drawing_area_new ();
  gtk_widget_set_size_request (draw_area, 400, 400);
  gtk_container_add(GTK_CONTAINER(win),draw_area);
  g_signal_connect (G_OBJECT (draw_area), "draw", G_CALLBACK (refresh_draw), NULL);
  gtk_widget_show_all(win);
  gtk_main();
  return 0;
}
